From 813cb4bfad5531cef94007301254a5ce5595e8ab Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Tue, 4 Jun 2013 20:51:06 +0200
Subject: Makes my/page_layout renderable, lots of js to be reworked

--HG--
extra : source : 002a56b5b756eac56b871454280005942de3eed2
---
 app/views/my/page_layout.html.erb |   50 ++++++++++++++----------------------
 1 files changed, 20 insertions(+), 30 deletions(-)

diff --git a/app/views/my/page_layout.html.erb b/app/views/my/page_layout.html.erb
index e9b0f8e..24c0b9f 100644
--- a/app/views/my/page_layout.html.erb
+++ b/app/views/my/page_layout.html.erb
@@ -73,36 +73,26 @@ function removeBlock(block) {
 	<% end if @blocks['right'] %>
 </div>
 
-<%= sortable_element 'list-top',
-      :tag => 'div',
-      :only => 'mypage-box',
-      :handle => "handle",
-      :dropOnEmpty => true,
-      :containment => ['list-top', 'list-left', 'list-right'],
-      :constraint => false,
-      :url => { :action => "order_blocks", :group => "top" }
-       %>
-
-
-<%= sortable_element 'list-left',
-      :tag => 'div',
-      :only => 'mypage-box',
-      :handle => "handle",
-      :dropOnEmpty => true,
-      :containment => ['list-top', 'list-left', 'list-right'],
-      :constraint => false,
-      :url => { :action => "order_blocks", :group => "left" }
-       %>
-
-<%= sortable_element 'list-right',
-      :tag => 'div',
-      :only => 'mypage-box',
-      :handle => "handle",
-      :dropOnEmpty => true,
-      :containment => ['list-top', 'list-left', 'list-right'],
-      :constraint => false,
-      :url => { :action => "order_blocks", :group => "right" }
-       %>
+<%= javascript_tag("
+      jQuery('#list-top').sortable({
+        items: '> div.mypage-box',
+        handle: '.handle',
+        dropOnEmpty: true,
+        connectWith: ['#list-left', '#list-right']
+      });
+      jQuery('#list-left').sortable({
+        items: '> div.mypage-box',
+        handle: '.handle',
+        dropOnEmpty: true,
+        connectWith: ['#list-top', '#list-right']
+      });
+      jQuery('#list-right').sortable({
+        items: '> div.mypage-box',
+        handle: '.handle',
+        dropOnEmpty: true,
+        connectWith: ['#list-top', '#list-left']
+      });
+    ") -%>
 
 <%= javascript_tag "updateSelect()" %>
 <% html_title(l(:label_my_page)) -%>
-- 
1.7.1


